Sisimai::Reason::VirusDetected(3pm)

NAME
Sisimai::Reason::VirusDetected - Bounce reason is "virusdetected" or not.

SYNOPSIS
    use Sisimai::Reason::VirusDetected;
    print Sisimai::Reason::VirusDetected->match('5.7.1 Email not accept');   # 1

DESCRIPTION
"Sisimai::Reason::VirusDetected" checks the bounce reason is "virusdetected" or not. This class is called only "Sisimai::Reason" class.

This is an error that any virus or trojan horse detected in the message by the virus scanner program at the destination mail server. This reason has been divided from "securityerror" at Sisimai 4.22.0.

    Your message was infected with a virus. You should download a virus
    scanner and check your computer for viruses.

    Sender:    <sironeko@libsisimai.org>
    Recipient: <kijitora@example.jp>

CLASS METHODS

  "text()"
text() method returns the fixed string "virusdetected".

    print Sisimai::Reason::VirusDetected->text;  # virusdetected

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    my $v = 'Your message was infected with a virus. ...';
    print Sisimai::Reason::VirusDetected->match($v);    # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "virusdetected". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2017-2021,2023-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.